Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 564358 - x11-drivers/xf86-input-evdev-2.10.0 - file collision with x11-base/xorg-server - /usr/share/X11/xorg.conf.d/10-evdev.conf
Summary: x11-drivers/xf86-input-evdev-2.10.0 - file collision with x11-base/xorg-serve...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 2 votes (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2015-10-28 21:11 UTC by Ben Kohler
Modified: 2017-03-30 03:48 UTC (History)
10 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Kohler gentoo-dev 2015-10-28 21:11:28 UTC
Looks like this newest version of xf86-input-evdev now supplies /usr/share/X11/xorg.conf.d/10-evdev.conf, but xorg-server (all versions, I think) is already supplying it.


 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / <filename>` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at http://bugs.gentoo.org unless you report exactly which
 * two packages install the same file(s). See
 * http://wiki.gentoo.org/wiki/Knowledge_Base:Blockers for tips on how to
 * solve the problem. And once again, please do NOT file a bug report
 * unless you have completely understood the above message.
 * 
 * Detected file collision(s):
 * 
 *      /usr/share/X11/xorg.conf.d/10-evdev.conf
 * 
 * Searching all installed packages for file collisions...
 * 
 * Press Ctrl-C to Stop
 * 
 * x11-base/xorg-server-1.17.4:0::gentoo
 *      /usr/share/X11/xorg.conf.d/10-evdev.conf
 * 
 * Package 'x11-drivers/xf86-input-evdev-2.10.0' NOT merged due to file
 * collisions. If necessary, refer to your elog messages for the whole
 * content of the above message.

 * GNU info directory index is up-to-date.
#
Comment 1 email200202 2015-10-29 04:06:32 UTC
Same here
Comment 2 Teika kazura 2015-11-10 02:05:19 UTC
Chí-Thanh Christopher Nguyễn has already given the reference[1], but let me expound a bit more; upstream has removed that file from xorg-server, and xf86-input-evdev is now the owner. This decision was done in May 2015.

[1] https://bugs.freedesktop.org/show_bug.cgi?id=89023

The patch for xorg-server is linked from the above page:
  http://patchwork.freedesktop.org/patch/48520/
  = http://cgit.freedesktop.org/xorg/xserver/commit/config?id=fc59c8fe8d941b0ec1e98c59bc57b1f97dba149d

However, the patch is not (yet?) included in the server 1.17 branch:
  http://cgit.freedesktop.org/xorg/xserver/tree/config?h=server-1.17-branch

Maybe we can apply the patch in xorg-server-1.17.4-r1, and let xf86-input-evdev-2.10.0 depend on >=1.17.4-r1. Anyway xf86-input-evdev-2.10.0 should block xorg-server <= 1.17.4, regardless of masking.

Regards.
Comment 3 Teika kazura 2015-11-20 10:48:27 UTC
Upstream says the xorg-server patch won't be backported to 1.17 branch:
  https://bugs.freedesktop.org/show_bug.cgi?id=89023#c5
Comment 4 Perfect Gentleman 2016-01-19 04:15:36 UTC
9999-versions work fine.
Comment 5 Manuel Rüger (RETIRED) gentoo-dev 2016-01-23 14:18:59 UTC
I've updated the dep for xorg-server to 1.18 to unmask it and to get xorg-server-1.18.0 to the tree.

If nobody wants to backport the fix to the old xorg-servers, we should probably close this ticket as fixed now.
Comment 6 Teika kazura 2016-01-29 00:06:10 UTC
Don't forget to make xorg-server >= 1.18 block xf86-input-evdev < 2.10; otherwise, it can result in a system lacking /usr/share/X11/xorg.conf.d/10-evdev.conf, meaning catch-all configuration is absent. TIA.
Comment 7 usforos 2016-04-10 23:43:43 UTC
this  don't alow to me to use keyboard on my system because ati-drivers need xorg server 1.17 and it can't use evdev.

https://forums.gentoo.org/viewtopic-t-1038698-highlight-atidrivers.html

:)
Comment 8 Gordon Yau 2016-04-27 07:02:36 UTC
report a bug. when use wireless keyboard and mouse combo, gnome or kde would got freeze sometimes, and once desktop locked, couldn't even login again. can't find any message from log.
Comment 9 Teika kazura 2016-10-15 11:53:23 UTC
If comment #6 is resolved, this bug can be closed. Thanks anyway.
Comment 10 Matt Turner gentoo-dev 2017-03-30 03:48:00 UTC
Old versions of xf86-input-evdev are gone from the tree now.
Comment 11 Matt Turner gentoo-dev 2017-03-30 03:48:09 UTC
Old versions of xf86-input-evdev are gone from the tree now.